Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] 50% performance reduction due to OpenMPI v 1.3.2 forcing all MPI traffic over Ethernet instead of using Infiniband
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2009-06-23 18:51:57


On Jun 23, 2009, at 6:19 PM, Gus Correa wrote:

> On my OpenMPI 1.3.2 ompi_info -config gives:
>
> Wrapper extra LIBS: -lrdmacm -libverbs -ltorque -lnuma -ldl
> -Wl,--export-dynamic -lnsl -lutil -lm -ldl
>
> Yours doesn't seem to have the IB libraries: -lrdmacm -libverbs
>

To check definitively:

$ ompi_info | grep openib
                  MCA btl: openib (MCA v2.0, API v2.0, Component v1.3.2)

You should see the "btl: openib" line if your Open MPI has OpenFabrics
support. This shows that the openib (OpenFabrics) plugin is installed
and at least marginally operating correctly.

-- 
Jeff Squyres
Cisco Systems